Package: groovy.util

## [Java] Class ObjectGraphBuilder.DefaultRelationNameResolver

- groovy.util.ObjectGraphBuilder.DefaultRelationNameResolver

- All Implemented Interfaces and Traits:
    RelationNameResolver

      public static class ObjectGraphBuilder.DefaultRelationNameResolver
      extends Object
      implements RelationNameResolver

  Default impl that returns parentName and childName accordingly.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `resolveChildRelationName(String parentName, Object parent, String childName, Object child)` Handles the common English regular plurals with the following rules.
    `` | `public String` | `resolveParentRelationName(String parentName, Object parent, String childName, Object child)` Follow the most conventional pattern, returns the parentName unchanged.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public String resolveChildRelationName(String parentName, Object parent, String childName, Object child)

      Handles the common English regular plurals with the following rules.

      - If childName ends in {consonant}y, replace 'y' with "ies". For example, allergy to allergies.
      - Otherwise, append 's'. For example, monkey to monkeys; employee to employees.
      If the property does not exist then it will return childName unchanged.
      See Also:
        English_plural

    - #### @Override
      public String resolveParentRelationName(String parentName, Object parent, String childName, Object child)

      Follow the most conventional pattern, returns the parentName unchanged.